<?php
/**
* イベントを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IEvent
{
	/**
	 * イベント名
	 */
	public function getEventName();

	/**
	 * イベントを初期化する
	 */
	public function init( Config $config );

	/**
	 * パラメータを取得する
	 */
	public function get( $key );

	/**
	 * パラメータ名の一覧を取得する
	 */
	public function getKeys();

}
